> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign Type



## OpenAPI

````yaml /openapi.json put /v1/workspaces/{workspaceId}/projects/{projectId}/documents/{documentId}/type
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/documents/{documentId}/type:
    put:
      tags:
        - Documents
      summary: Assign Type
      operationId: DocumentsController_assignType_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: documentId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssignDocumentTypeDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentResponseDto'
components:
  schemas:
    AssignDocumentTypeDto:
      type: object
      properties:
        typeId:
          anyOf:
            - type: string
            - type: 'null'
        expectedVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
      required:
        - typeId
        - expectedVersion
      additionalProperties: false
    DocumentResponseDto:
      type: object
      properties:
        id:
          type: string
        projectId:
          type: string
          nullable: true
        companyId:
          type: string
          nullable: true
        documentTypes:
          type: array
          items:
            type: string
        scope:
          enum:
            - project
            - project_item
            - contact_company
          type: string
        typeId:
          type: string
          nullable: true
        source:
          enum:
            - file
            - link
          type: string
        status:
          enum:
            - pending
            - ready
          type: string
        name:
          type: string
        notes:
          type: string
        isConfidential:
          type: boolean
        phases:
          type: array
          items:
            type: string
            enum:
              - pre_design
              - programming
              - schematic_design
              - design_development
              - construction_documents
              - bidding_negotiation
              - procurement
              - construction_administration
              - closeout
        itemIds:
          type: array
          items:
            type: string
        externalUrl:
          type: string
          nullable: true
        originalFilename:
          type: string
          nullable: true
        mimeType:
          type: string
          nullable: true
        sizeBytes:
          type: number
          nullable: true
        createdBy:
          type: string
          nullable: true
        createdAt:
          type: string
        updatedAt:
          type: string
        version:
          type: number
      required:
        - id
        - projectId
        - companyId
        - documentTypes
        - scope
        - typeId
        - source
        - status
        - name
        - notes
        - isConfidential
        - phases
        - itemIds
        - externalUrl
        - originalFilename
        - mimeType
        - sizeBytes
        - createdBy
        - createdAt
        - updatedAt
        - version

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.